Bug 220916 - can't restart X after watching TV with SAA7134 TV tuner card
can't restart X after watching TV with SAA7134 TV tuner card
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-28 16:32 EST by Andre Robatino
Modified: 2007-12-11 03:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-11 03:09:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log after a failed attempt to restart X (17.67 KB, text/plain)
2006-12-28 16:32 EST, Andre Robatino
no flags Details

  None (edit)
Description Andre Robatino 2006-12-28 16:32:25 EST
Description of problem:
  I installed a KWorld Global TV Terminator card, which is SAA7134.  It works
fine using tvtime, but it's impossible to restart X afterwards (though X
continues to work fine up to when the restart is attempted).

Version-Release number of selected component (if applicable):
kernel-2.6.18-1.2868.fc6

How reproducible:
always

Steps to Reproduce:
1.  Install a SAA7134 TV tuner card.
2.  Put the line "options saa7134 card=65 tuner=54" to allow detection (it isn't
detected otherwise).
3.  Watch TV using tvtime.
4.  Log out, which causes an X restart attempt.
  
Actual results:
  X won't restart.  A text-based X configuration tool offers to let me try to
reconfigure X.  This fails to get X working again.  However, upon a reboot, X
works normally again.

Expected results:
  X should work normally.

Additional info:
  Using Intel 82865G integrated video.  I checked that the trigger for the
problem is using tvtime to watch TV.  If I don't watch TV, then X works normally
on logout.  I'm assuming this is a kernel bug since only a reboot fixes it (AFAICT).
Comment 1 Andre Robatino 2006-12-28 16:32:25 EST
Created attachment 144490 [details]
Xorg.0.log after a failed attempt to restart X
Comment 2 Andre Robatino 2006-12-29 11:18:43 EST
  Actually it's only necessary to put "options saa7134 card=65" in
modprobe.conf, specifying the tuner isn't necessary.  It doesn't affect the bug
though.
Comment 3 Andre Robatino 2007-01-19 11:29:41 EST
  Still exists in kernel-2.6.19-1.2895.fc6.
Comment 4 Andre Robatino 2007-06-03 15:07:45 EDT
  Still exists in FC7 kernel-2.6.21-1.3194.fc7.
Comment 5 Andre Robatino 2007-07-20 23:07:41 EDT
  Still exists in kernel-2.6.22.1-27.fc7.  BTW, the problem does NOT happen when
using Fedora's new xawtv instead of tvtime to view TV.  Go figure.
Comment 6 Andre Robatino 2007-12-11 03:09:55 EST
  Does not happen any more with F8 and the latest kernel.  Closing since I'm no
longer using F7 and can't check it there.

Note You need to log in before you can comment on or make changes to this bug.